#
#  file: edgar-desc.pl
#  auth: Brad Burdick
#  desc: EDGAR fields description info
#
##########################################################################
#  Copyright (c) 1994, 1995 Internet Multicasting Service
#
#  The SEC EDGAR Level 1 Dissemination processing software ("software")
#  was developed by the Internet Multicasting Service and may 
#  be used for academic, research, government, and internal business
#  purposes without charge.  You may not resell this code or include it
#  in a product that you are selling without prior permission of the
#  Internet Multicasting Service.
#
#  This software is provided ``as is'', without express or implied
#  warranty, and with no support nor obligation to assist in its
#  use, correction, modification or enhancement.  We assume no liability
#  with respect to the infringement of copyrights, trade secrets, or any
#  patents, and are not responsible for consequential damages.  Proper
#  use of the software is entirely the responsibility of the user.
##########################################################################
#
#  format:
#    tag text|replacement text|end nest text
#
#    e.g.,  ACCESSION-NUMBER|ACCESSION NUMBER:	|
#           COMPANY-DATA|COMPANY DATA:	|/COMPANY-DATA
#           FILING-DATE|FILED AS OF DATE:|
#
#  If the replacement text field is empty, the tag text is used with all
#  hyphens ('-') converted to spaces.
#

@edgar_desc = (
'ACCESSION-NUMBER|ACCESSION NUMBER:	|',
'ACT|SEC ACT:	|',
'ASSIGNED-SIC|STANDARD INDUSTRIAL CLASSIFICATION:|',
'BUSINESS-ADDRESS|BUSINESS ADDRESS:	|/BUSINESS-ADDRESS',
'CIK|CENTRAL INDEX KEY:		|',
'CITY|CITY:		|',
'COMPANY-DATA|COMPANY DATA:	|/COMPANY-DATA',
'CONFIRMING-COPY|CONFIRMING COPY:|',
'CONFORMED-NAME|COMPANY CONFORMED NAME:		|',
'DATE-CHANGED|DATE OF NAME CHANGE:|',
'DATE-OF-FILING-DATE-CHANGE|DATE AS OF CHANGE:	|',
'EFFECTIVENESS-DATE|EFFECTIVENESS DATE:	|',
'FILE-NUMBER|SEC FILE NUMBER:|',
'FILED-BY|FILED BY:		|/FILED-BY',
'FILER|FILER:|/FILER',
'FILING-DATE|FILED AS OF DATE:	|',
'FILING-VALUES|FILING VALUES:|/FILING-VALUES',
'FILM-NUMBER|FILM NUMBER:	|',
'FISCAL-YEAR-END|FISCAL YEAR END:		|',
'FORM-TYPE|FORM TYPE:	|',
'FORMER-COMPANY|FORMER COMPANY:	|/FORMER-COMPANY',
'FORMER-CONFORMED-NAME|FORMER CONFORMED NAME:|',
'GROUP-MEMBERS|GROUP MEMBERS:	|',
'IRS-NUMBER|IRS NUMBER:			|',
'ITEMS|ITEM INFORMATION:	|',
'MAIL-ADDRESS|MAIL ADDRESS:	|/MAIL-ADDRESS',
'PERIOD|CONFORMED PERIOD OF REPORT:|',
'PHONE|BUSINESS PHONE:	|',
'PUBLIC-DOCUMENT-COUNT|PUBLIC DOCUMENT COUNT:	|',
'REFERENCES-429|REFERENCES 429:		|',
'SERIAL-COMPANY|SERIAL COMPANY:	|',
'SROS|SROS:		|',
'STATE-OF-INCORPORATION|STATE OF INCORPORATION:		|',
'STATE|STATE:		|',
'STREET1|STREET 1:	|',
'STREET2|STREET 2:	|',
'SUBJECT-COMPANY|SUBJECT COMPANY:	|/SUBJECT-COMPANY',
'TYPE|CONFORMED SUBMISSION TYPE:|',
'ZIP|ZIP:		|'
);

%item_desc = (
'1', "Changes in control of registrant",
'2', "Acquisition or disposition of assets",
'3', "Bankruptcy or receivership",
'4', "Changes in registrant's certifying accountant",
'5', "Other events",
'6', "Resignations of registrant's directors",
'7', "Financial statements and exhibits",
'8', "Change in fiscal year"
);

%sec_codes = (
'33', '1933 Act',
'34', '1934 Act',
'35', '1935 Act',
'39', '1939 Act',
'40', '1940 Act'
);

%sic_codes = (
'0000', "UNKNOWN SIC - 0000",
'0100', "AGRICULTURE PRODUCTION - CROPS",
'0200', "AGRICULTURE PRODUCTION - LIVESTOCK & ANIMAL SPECIALTIES",
'0700', "AGRICULTURE SERVICES",
'0800', "FORESTRY",
'0888', "UNKNOWN SIC - 0888",
'0900', "FISHING, HUNTING & TRAPPING",
'1000', "METAL MINING",
'1040', "GOLD & SILVER ORES",
'1044', "SILVER ORES",
'1090', "MISCELLANEOUS METAL ORES",
'1220', "BITUMINOUS COAL & LIGNITE MINING",
'1221', "BITUMINOUS COAL & LIGNITE SURFACE MINING",
'1311', "CRUDE PETROLEUM & NATURAL GAS",
'1381', "DRILLING OIL & GAS WELLS",
'1382', "OIL AND GAS FIELD EXPLORATION SERVICES",
'1389', "OIL, GAS FIELD SERVICES, NBC",
'1400', "MINING, QUARRYING OF NONMETALLIC MINERALS (NO FUELS)",
'1520', "GEN BUILDING CONTRACTORS - RESIDENTIAL BUILDINGS",
'1531', "OPERATIVE BUILDERS",
'1540', "GENERAL BUILDING CONTRACTORS - NONRESIDENTIAL BUILDINGS",
'1600', "HEAVY CONSTRUCTION OTHER THAN BUILDING CONST - CONTRACTORS",
'1623', "WATER, SEWER, PIPELINE, COMM AND POWER LINE CONSTRUCTION",
'1700', "CONSTRUCTION SPECIAL TRADE CONTRACTORS",
'1731', "ELECTRICAL WORK",
'2000', "FOOD & KINDRED PRODUCTS",
'2011', "MEAT PACKING PLANTS",
'2013', "SAUSAGE, OTHER PREPARED MEAT PRODUCTS ",
'2015', "POULTRY SLAUGHTERING AND PROCESSING",
'2020', "DAIRY PRODUCTS",
'2024', "ICE CREAM & FROZEN DESSERTS",
'2030', "CANNED, FROZEN & PRESERVED FRUIT, VEG & FOOD SPECIALTIES",
'2033', "CANNED, FRUITS, VEG & PRESERVES, JAMS & JELLIES",
'2040', "GRAIN MILL PRODUCTS",
'2048', "UNKNOWN SIC - 2048",
'2050', "BAKERY PRODUCTS",
'2052', "COOKIES & CRACKERS",
'2060', "SUGAR & CONFECTIONERY PRODUCTS",
'2065', "UNKNOWN SIC - 2065",
'2070', "FATS & OILS",
'2080', "BEVERAGES",
'2082', "MALT BEVERAGES",
'2086', "BOTTLED & CANNED SOFT DRINKS CARBONATED WATERS",
'2090', "MISCELLANEOUS FOOD PREPARATIONS & KINDRED PRODUCTS",
'2092', "PREPARED FRESH OR FROZEN FISH & SEAFOODS",
'2100', "TOBACCO PRODUCTS",
'2111', "CIGARETTES",
'2200', "TEXTILE MILL PRODUCTS",
'2211', "BROADWOVEN FABRIC MILLS, COTTON",
'2221', "BROADWOVEN FABRIC MILS, MAN MADE FIBER & SILK",
'2250', "KNITTING MILLS",
'2253', "KNIT OUTERWEAR MILLS",
'2273', "CARPETS AND RUGS",
'2300', "APPAREL & OTHER FINISHED PRODS OF FABRICS & SIMILAR MATERIAL",
'2320', "MEN'S & BOYS' FURNISHINGS, WORK CLOTHING, AND ALLIED GARMENTS",
'2330', "WOMEN'S, MISSES', AND JUNIORS OUTERWEAR",
'2340', "WOMEN'S, MISSES', CHILDREN'S & INFANTS' UNDERGARMENTS",
'2390', "MISCELLANEOUS FABRICATED TEXTILE PRODUCTS",
'2400', "LUMBER & WOOD PRODUCTS (NO FURNITURE)",
'2421', "SAWMILLS, PLANNING MILLS, GENERAL",
'2430', "MILLWOOD, VENEER, PLYWOOD & STRUCTURAL WOOD MEMBERS",
'2451', "MOBILE HOMES",
'2452', "PREFABRICATED WOOD BLDGS & COMPONENTS",
'2510', "HOUSEHOLD FURNITURE",
'2511', "WOOD HOUSEHOLD FURNITURE, (NO UPHOLSTERED)",
'2520', "OFFICE FURNITURE",
'2522', "OFFICE FURNITURE (NO WOOD)",
'2531', "PUBLIC BUILDING AND RELATED FURNITURE",
'2540', "PARTITIONS, SHELVING, LOCKERS & OFFICE AND STORE FIXTURES",
'2590', "MISCELLANEOUS FURNITURE & FIXTURES",
'2600', "PAPERS & ALLIED PRODUCTS",
'2611', "PULP MILLS",
'2621', "PAPER MILLS",
'2631', "PAPERBOARD MILLS",
'2650', "PAPERBOARD CONTAINERS & BOXES",
'2670', "CONVERTED PAPER & PAPERBOARD PRODS (NO CONTAINERS/BOXES)",
'2673', "PLASTICS, FOIL & COATED PAPER BAGS",
'2711', "NEWSPAPERS:  PUBLISHING OR PUBLISHING & PRINTING",
'2721', "PERIODICALS:  PUBLISHING OR PUBLISHING AND PRINTING",
'2731', "BOOKS: PUBLISHING OR PUBLISHING AND PRINTING",
'2732', "BOOK PRINTING",
'2741', "MISCELLANEOUS PUBLISHING",
'2750', "COMMERCIAL PRINTING",
'2761', "MANIFOLD BUSINESS FORMS",
'2771', "GREETING CARDS",
'2780', "BLANKBOOKS, LOOSELEAF BINDERS & BOOKBINDING & RELATED WORK",
'2790', "SERVICE INDUSTRIES FOR THE PRINTING TRADE",
'2800', "CHEMICALS & ALLIED PRODUCTS",
'2810', "INDUSTRIAL INORGANIC CHEMICALS",
'2820', "PLASTIC MAIL, SYNTH RESIN/RUBBER, CELLULOS (NO GLASS)",
'2821', "PLASTICS, MATERIALS, SYNTH RESINS & NONVULCAN ELASTOMERS",
'2830', "UNKNOWN SIC - 2830",
'2833', "MEDICINAL CHEMICALS & BOTANICAL PRODUCTS",
'2834', "PHARMACEUTICAL PREPARATIONS",
'2835', "IN VITRO & IN VIVO DIAGNOSTIC SUBSTANCES",
'2836', "BIOLOGICAL PRODUCTS (NO DIAGNOSTIC SUBSTANCES)",
'2840', "SOAP, DETERGENT, CLEANING PREPARATIONS, PERFUMES, COSMETICS",
'2842', "SPECIALTY CLEANING, POLISHING AND SANITATION PREPARATIONS",
'2844', "PERFUMES, COSMETICS & OTHER TOILET PREPARATIONS",
'2851', "PAINTS, VARNISHES, LACQUERS, ENAMELS & ALLIED PRODUCTS",
'2860', "INDUSTRIAL ORGANIC CHEMICALS",
'2870', "AGRICULTURE CHEMICALS",
'2890', "MISCELLANEOUS CHEMICAL PRODUCTS",
'2891', "ADHESIVES & SEALANTS",
'2911', "PETROLEUM REFINING",
'2950', "ASPHALT PAVING & ROOFING MATERIALS",
'2990', "MISCELLANEOUS PRODUCTS OF PETROLEUM &  COAL",
'3011', "TIRES AND INNER TUBES",
'3021', "RUBBER & PLASTICS FOOTWEAR",
'3050', "GASKETS, PACKAGING AND SEALING DEVICES & RUBBER & PLASTIC HOSE",
'3060', "FABRICATED RUBBER PRODUCTS, NEC",
'3079', "UNKNOWN SIC - 3079",
'3080', "MISCELLANEOUS PLASTIC PRODUCTS",
'3081', "UNSUPPORTED PLASTICS FILM & SHEET",
'3086', "PLASTICS FOAM PRODUCTS",
'3089', "PLASTICS PRODUCTS, NEC",
'3093', "UNKNOWN SIC - 3093",
'3100', "LEATHER & LEATHER PRODUCTS",
'3140', "FOOTWEAR, (NO RUBBER)",
'3211', "FLAT GLASS",
'3220', "GLASS, GLASSWARE, PRESSED OR BLOWN",
'3221', "GLASS CONTAINERS",
'3231', "GLASS PRODUCTS, MADE OF PURCHASED GLASS",
'3241', "CEMENT, HYDRAULIC",
'3250', "STRUCTURAL CLAY PRODUCTS",
'3260', "POTTERY & RELATED PRODUCTS",
'3270', "CONCRETE GYPSUM  PLASTER PRODUCTS",
'3272', "CONCRETE PRODUCTS, EXCEPT BLOCK & BRICK",
'3281', "CUT STONE & STONE PRODUCTS",
'3290', "ABRASIVE ASBESTOS & MISC NONMETALLIC MINERAL PRODUCTS",
'3310', "STEEL WORKS, BLAST FURNACES & ROLLING & FINISHING MILLS",
'3312', "STEEL WORKS, BLAST FURNACES  ROLLING MILLS (COKE OVENS)",
'3317', "STEEL PIPE & TUBES",
'3320', "IRON & STEEL FOUNDRIES",
'3330', "PRIMARY SMELTING & REFINING OF NONFERROUS METALS",
'3334', "PRIMARY PRODUCTION OF ALUMINUM",
'3341', "SECONDARY SMELTING & REFINING OF NONFERROUS METALS",
'3350', "ROLLING DRAWING & EXTRUDING OF NONFERROUS METALS",
'3357', "DRAWING AND INSULATING NONFERROUS WIRE",
'3360', "NONFERROUS FOUNDRIES (CASTINGS)",
'3390', "MISCELLANEOUS PRIMARY METAL PRODUCTS",
'3411', "METAL CANS",
'3412', "METAL SHIPPING BARRELS, DRUMS, KEGS & PAILS",
'3420', "CUTLERY, HANDTOOLS & GENERAL HARDWARE",
'3430', "HEATING EQUIP, EXCEPT ELEC & WARM AIR & PLUMBING FIXTURES",
'3433', "HEATING EQUIPMENT, EXCEPT ELECTRIC & WARM AIR FURNACES",
'3440', "FABRICATED STRUCTURAL METAL PRODUCTS",
'3442', "METAL DOORS, SASH, FRAMES, MOLDING & TRIM",
'3443', "FABRICATED PLATE WORK (BOILER SHOPS)",
'3444', "SHEET METAL WORK",
'3448', "PREFABRICATED METAL BUILDINGS & COMPONENTS",
'3451', "SCREW MACHINE PRODUCTS",
'3452', "BOLTS, NUTS, SCREWS, RIVETS & WASHERS",
'3460', "METAL FORGING & STAMPINGS",
'3470', "COATING, ENGRAVING & ALLIED SERVICES",
'3480', "ORDNANCE & ACCESSORIES, (NO VEHICLES/GUIDED MISSILES)",
'3490', "MISCELLANEOUS FABRICATED METAL PRODUCTS",
'3510', "ENGINES & TURBINES",
'3523', "FARM MACHINERY & EQUIPMENT",
'3524', "LAWN & GARDEN TRACTORS & HOME LAWN & GARDEN EQUIPMENT",
'3530', "CONSTRUCTION, MINING & MATERIALS HANDLING MACHINERY & EQUIP",
'3531', "CONSTRUCTION MACHINERY & EQUIP",
'3532', "MINING MACHINERY & EQUIP (NO OIL & GAS FIELD MACH & EQUIP)",
'3533', "OIL & GAS FILED MACHINERY & EQUIPMENT",
'3537', "INDUSTRIAL TRUCKS TRACTORS TRAILERS & STACKERS",
'3540', "METALWORKING MACHINERY & EQUIPMENT",
'3541', "MACHINE TOOLS, METAL CUTTING TYPES",
'3550', "SPECIAL INDUSTRY MACHINERY (NO METALWORKING MACHINERY)",
'3555', "PRINTING TRADES MACHINERY & EQUIPMENT",
'3559', "SPECIAL INDUSTRY MACHINERY, NEC",
'3560', "GENERAL INDUSTRIAL MACHINERY & EQUIPMENT",
'3561', "PUMPS & PUMPING EQUIPMENT",
'3562', "BALL & ROLLER BEARINGS",
'3564', "INDUSTRIAL & COMMERCIAL FANS & BLOWERS & AIR PURIFYING EQUIP",
'3567', "INDUSTRIAL PROCESS FURNACES & OVENS",
'3569', "GENERAL INDUSTRIAL MACHINERY & EQUIPMENT, NEC",
'3570', "COMPUTER & OFFICE EQUIPMENT",
'3571', "ELECTRONIC COMPUTERS",
'3572', "COMPUTER STORAGE DEVICES",
'3575', "COMPUTER TERMINALS",
'3576', "COMPUTER COMMUNICATIONS EQUIPMENT",
'3577', "COMPUTER PERIPHERAL EQUIPMENT, NEC",
'3578', "CALCULATING & ACCOUNTING MACHINES (NO ELECTRONIC COMPUTERS)",
'3579', "OFFICE MACHINES, NEC",
'3580', "REFRIGERATION & SERVICE INDUSTRY MACHINERY",
'3585', "AIR COND & WARM AIR HEATING EQUIP & COMM & INDL REFRIG EQUIP",
'3590', "MISC INDUSTRIAL & COMMERCIAL MACHINERY & EQUIPMENT",
'3600', "ELECTRONIC & OTHER ELECTRICAL EQUIPMENT (NO COMPUTER EQUIP)",
'3612', "POWER, DISTRIBUTION & SPECIALTY TRANSFORMERS",
'3613', "SWITCHGEAR & SWITCHBOARD APPARATUS",
'3620', "ELECTRICAL INDUSTRIAL APPARATUS",
'3621', "MOTORS & GENERATORS",
'3630', "HOUSEHOLD APPLIANCES",
'3634', "ELECTRIC HOUSEWARES & FANS",
'3640', "ELECTRIC LIGHTING & WIRING EQUIPMENT",
'3651', "HOUSEHOLD AUDIO & VIDEO EQUIPMENT",
'3652', "PHONOGRAPH RECORDS & PRERECORDED AUDIO TAPES & DISKS",
'3661', "TELEPHONE & TELEGRAPH APPARATUS",
'3663', "RADIO & TV BROADCASTING & COMMUNICATIONS EQUIPMENT",
'3669', "COMMUNICATIONS EQUIPMENT, NEC",
'3670', "ELECTRONIC COMPONENTS & ACCESSORIES",
'3672', "PRINTED CIRCUIT BOARDS",
'3674', "SEMICONDUCTORS & RELATED DEVICES",
'3677', "ELECTRONIC COILS, TRANSFORMERS & OTHER INDUCTORS",
'3678', "ELECTRONIC CONNECTORS",
'3679', "ELECTRONIC COMPONENTS, NEC",
'3680', "UNKNOWN SIC - 3680  ",
'3687', "UNKNOWN SIC - 3687",
'3690', "MISCELLANEOUS ELECTRICAL MACHINERY, EQUIPMENT & SUPPLIES",
'3695', "MAGNETIC & OPTICAL RECORDING MEDIA",
'3711', "MOTOR VEHICLES & PASSENGER CAR BODIES",
'3713', "TRUCK & BUS BODIES",
'3714', "MOTOR VEHICLE PARTS & ACCESSORIES",
'3715', "TRUCK TRAILERS",
'3716', "MOTOR HOMES",
'3720', "AIRCRAFT & PARTS",
'3721', "AIRCRAFT",
'3724', "AIRCRAFT ENGINES & ENGINE PARTS",
'3728', "AIRCRAFT PART & AUXILIARY EQUIPMENT, NEC",
'3730', "SHIP & BOAT BUILDING & REPAIRING",
'3743', "RAILROAD EQUIPMENT",
'3751', "MOTORCYCLES, BICYCLES & PARTS",
'3760', "GUIDED MISSILES & SPACE VEHICLES & PARTS",
'3790', "MISCELLANEOUS TRANSPORTATION EQUIPMENT",
'3812', "SEARCH, DETECTION, NAVIGATION, GUIDANCE, AERONAUTICAL SYS",
'3821', "LABORATORY APPARATUS & FURNITURE",
'3822', "AUTO CONTROLS FOR REGULATING RESIDENTIAL & COMML ENVIRONMENT",
'3823', "INDUSTRIAL INSTRUMENTS FOR MEASUREMENT, DISPLAY, AND CONTROL",
'3824', "TOTALIZING FLUID METERS & COUNTING DEVICES",
'3825', "INSTRUMENTS FOR MEAS & TESTING OF ELECTRICITY & ELEC SIGNALS",
'3826', "LABORATORY ANALYTICAL INSTRUMENTS",
'3827', "OPTICAL INSTRUMENTS & LENSES",
'3829', "MEASURING & CONTROLLING DEVICES, NEC",
'3841', "SURGICAL & MEDICAL INSTRUMENTS & APPARATUS",
'3842', "ORTHOPEDIC, PROSTHETIC & SURGICAL APPLIANCES & SUPPLIES",
'3843', "DENTAL EQUIPMENT & SUPPLIES",
'3844', "X-RAY APPARATUS & TUBES & RELATED IRRADIATION APPARATUS",
'3845', "ELECTROMEDICAL & ELECTROTHERAPEUTIC APPARATUS",
'3851', "OPHTHALMIC GOODS",
'3861', "PHOTOGRAPHIC EQUIPMENT & SUPPLIES",
'3873', "WATCHES, CLOCKS, CLOCKWORK OPERATED DEVICES/PARTS",
'3910', "JEWELRY, SILVERWARE & PLATED WARE",
'3911', "JEWELRY, PRECIOUS METAL",
'3931', "MUSICAL INSTRUMENTS",
'3942', "DOLLS & STUFFED TOYS",
'3944', "GAMES, TOYS & CHILDREN'S VEHICLES (NO DOLLS & BICYCLES)",
'3939', "SPORTING & ATHLETIC GOODS, NEC",
'3950', "PENS, PENCILS & OTHER ARTISTS' MATERIALS",
'3960', "COSTUME JEWELRY & NOVELTIES",
'3990', "MISCELLANEOUS MANUFACTURING INDUSTRIES",
'4011', "RAILROADS, LINE-HAUL OPERATING",
'4013', "RAILROAD SWITCHING & TERMINAL ESTABLISHMENTS",
'4100', "LOCAL & SUBURBAN TRANSIT & INTERURBAN HWY PASSENGER TRAINS",
'4210', "TRUCKING & COURIER SERVICES (NO AIR)",
'4213', "TRUCKING (NO LOCAL)",
'4220', "PUBLIC WAREHOUSING & STORAGE",
'4231', "TERMINAL MAINTENANCE FACILITIES FOR MOTOR FREIGHT TRANSPORT",
'4400', "WATER TRANSPORTATION",
'4412', "DEEP SEA FOREIGN TRANSPORTATION OF FREIGHT",
'4512', "AIR TRANSPORTATION, SCHEDULED",
'4513', "AIR COURIER SERVICES",
'4522', "AIR TRANSPORTATION, NONSCHEDULED",
'4581', "AIRPORTS, FLYING FIELDS & AIRPORT TERMINAL SERVICES",
'4610', "PIPE LINES (NO NATURAL GAS)",
'4700', "TRANSPORTATION SERVICES",
'4731', "ARRANGEMENT OF TRANSPORTATION OF FREIGHT & CARGO",
'4811', "UNKNOWN SIC - 4811",
'4812', "RADIO TELEPHONE COMMUNICATIONS",
'4813', "TELEPHONE COMMUNICATIONS (NO RADIO TELEPHONE)",
'4822', "TELEGRAPH & OTHER MESSAGE COMMUNICATIONS",
'4832', "RADIO BROADCASTING STATIONS",
'4833', "TELEVISION BROADCASTING STATIONS",
'4841', "CABLE & OTHER PAY TELEVISION SERVICES",
'4899', "COMMUNICATION SERVICES, NEC",
'4900', "ELECTRIC, GAS & SANITARY SERVICES",
'4911', "ELECTRIC SERVICES",
'4922', "NATURAL GAS TRANSMISSION",
'4923', "NATURAL GAS TRANSMISSION & DISTRIBUTION",
'4924', "NATURAL GAS DISTRIBUTION",
'4931', "ELECTRIC & OTHER SERVICES COMBINED",
'4932', "GAS & OTHER SERVICES COMBINED",
'4941', "WATER SUPPLY",
'4950', "SANITARY SERVICES",
'4953', "REFUSE SYSTEMS",
'4955', "HAZARDOUS WASTE MANAGEMENT",
'4961', "STEAM & AIR CONDITIONING SUPPLY",
'4991', "COGENERATION SERVICES & SMALL POWER PRODUCERS",
'5000', "WHOLESALE-DURABLE GOODS",
'5010', "WHOLESALE-MOTOR VEHICLES & MOTOR VEHICLE PARTS & SUPPLIES",
'5013', "WHOLESALE-MOTOR VEHICLE SUPPLIES & NEW PARTS",
'5020', "WHOLESALE-FURNITURE & HOME FURNISHINGS",
'5030', "WHOLESALE-LUMBER & OTHER CONSTRUCTION MATERIALS",
'5031', "WHOLESALE-LUMBER, PLYWOOD, MILLWORK & WOOD PANELS",
'5040', "WHOLESALE-PROFESSIONAL & COMMERCIAL EQUIPMENT & SUPPLIES",
'5045', "WHOLESALE-COMPUTER & PERIPHERAL EQUIPMENT & SOFTWARE",
'5047', "WHOLESALE-MEDICAL, DENTAL & HOSPITAL EQUIPMENT & SUPPLIES",
'5050', "WHOLESALE-METALS, MINERALS (NO PETROLEUM)",
'5051', "WHOLESALE-METALS SERVICE CENTERS & OFFICES",
'5063', "WHOLESALE-ELECTRICAL APPARATUS & EQUIPMENT, WIRING SUPPLIES",
'5064', "WHOLESALE-ELECTRICAL APPLIANCES, TV & RADIO SETS",
'5065', "WHOLESALE-ELECTRONIC PARTS & EQUIPMENT, NEC",
'5070', "WHOLESALE-HARDWARE & PLUMBING & HEATING EQUIPMENT & SUPPLIES",
'5072', "WHOLESALE-HARDWARE",
'5080', "WHOLESALE-MACHINERY, EQUIPMENT & SUPPLIES",
'5082', "WHOLESALE-CONSTRUCTION & MINING (NO PETRO) MACHINERY & EQUIP",
'5084', "WHOLESALE-INDUSTRIAL MACHINERY & EQUIPMENT",
'5090', "WHOLESALE-MISC DURABLE GOODS",
'5094', "WHOLESALE-JEWELRY, WATCHES, PRECIOUS STONES & METALS",
'5099', "WHOLESALE-DURABLE GOODS, NEC",
'5110', "WHOLESALE-PAPER AND PAPER PRODUCTS",
'5122', "WHOLESALE-DRUGS PROPRIETARIES & DRUGGISTS' SUNDRIES",
'5130', "WHOLESALE-APPAREL, PIECE GOODS & NOTIONS",
'5140', "WHOLESALE-GROCERIES & RELATED PRODUCTS",
'5141', "WHOLESALE-GROCERIES & GENERAL LINE",
'5150', "WHOLESALE-FARM PRODUCT RAW MATERIALS",
'5160', "WHOLESALE-CHEMICALS & ALLIED PRODUCTS",
'5171', "WHOLESALE-PETROLEUM BULK STATIONS & TERMINALS",
'5172', "WHOLESALE-PETROLEUM & PETROLEUM PRODUCTS (NO BULK STATIONS)",
'5180', "WHOLESALE-BEER, WINE & DISTILLED ALCOHOLIC BEVERAGES",
'5190', "WHOLESALE-MISCELLANEOUS NONDURABLE GOODS",
'5200', "RETAIL-BUILDING MATERIALS, HARDWARE, GARDEN SUPPLY",
'5211', "RETAIL-LUMBER & OTHER BUILDING MATERIALS DEALERS",
'5271', "RETAIL-MOBILE HOME DEALERS",
'5311', "RETAIL-DEPARTMENT STORES",
'5331', "RETAIL-VARIETY STORES",
'5399', "RETAIL-MISC GENERAL MERCHANDISE STORES",
'5400', "RETAIL-FOOD STORES",
'5411', "RETAIL-GROCERY STORES",
'5412', "RETAIL-CONVENIENCE STORES",
'5500', "RETAIL-AUTO DEALERS & GASOLINE STATIONS",
'5531', "RETAIL-AUTO & HOME SUPPLY STORES",
'5600', "RETAIL-APPAREL & ACCESSORY STORES",
'5621', "RETAIL-WOMEN'S CLOTHING STORES",
'5651', "RETAIL-FAMILY CLOTHING STORES",
'5661', "RETAIL-SHOE STORES",
'5700', "RETAIL-HOME FURNITURE, FURNISHINGS & EQUIPMENT STORES",
'5712', "RETAIL-FURNITURE STORES",
'5731', "RETAIL-RADIO TV & CONSUMER ELECTRONICS STORES",
'5734', "RETAIL-COMPUTER & COMPUTER SOFTWARE STORES",
'5735', "RETAIL- COMPUTER & PRERECORDED TAPE STORES",
'5810', "RETAIL-EATING & DRINKING PLACES",
'5812', "RETAIL-EATING PLACES",
'5900', "RETAIL-MISCELLANEOUS RETAIL",
'5912', "RETAIL-DRUG STORES AND PROPRIETARY STORES",
'5940', "RETAIL-MISCELLANEOUS SHOPPING GOODS STORES",
'5944', "RETAIL-JEWELRY STORES",
'5945', "RETAIL-HOBBY, TOY & GAME SHOPS",
'5960', "RETAIL-NONSTORE RETAILERS",
'5961', "RETAIL-CATALOG & MAIL-ORDER HOUSES",
'5990', "RETAIL-RETAIL STORES, NEC",
'6021', "NATIONAL COMMERCIAL BANKS",
'6022', "STATE COMMERCIAL BANKS",
'6023', "STATE BANKS - NOT FEDERAL RESERVE SYSTEM",
'6025', "NATIONAL BANKS-FEDERAL RESERVE SYSTEM",
'6029', "COMMERCIAL BANKS, NEC",
'6035', "SAVINGS INSTITUTION, FEDERALLY CHARTERED",
'6036', "SAVINGS INSTITUTIONS, NOT FEDERALLY CHARTERED",
'6099', "FUNCTIONS RELATED TO DEPOSITORY BANKING, NEC",
'6111', "FEDERAL & FEDERALLY-SPONSORED CREDIT AGENCIES",
'6120', "SAVINGS & LOAN ASSOCIATIONS",
'6140', "UNKNOWN SIC - 6140  ",
'6141', "PERSONAL CREDIT INSTITUTIONS",
'6150', "BUSINESS CREDIT INSTITUTIONS (FIN LEASING FISA TRUST)",
'6153', "SHORT-TERM BUSINESS CREDIT INSTITUTIONS",
'6159', "MISCELLANEOUS BUSINESS CREDIT INSTITUTION",
'6162', "MORTGAGE BANKERS & LOAN CORRESPONDENTS",
'6163', "LOAN BROKERS",
'6172', "FINANCE LESSORS",
'6189', "ASSET-BACKED SECURITIES",
'6199', "FINANCE SERVICES",
'6200', "SECURITY & COMMODITY BROKERS, DEALERS, EXCHANGES & SERVICES",
'6211', "SECURITY BROKERS, DEALERS & FLOTATION COMPANIES",
'6282', "INVESTMENT ADVICE",
'6311', "LIFE INSURANCE",
'6312', "UNKNOWN SIC - 6312",
'6321', "ACCIDENT & HEALTH INSURANCE",
'6324', "HOSPITAL & MEDICAL SERVICE PLANS",
'6331', "FIRE, MARINE & CASUALTY INSURANCE",
'6332', "UNKNOWN SIC - 6332  ",
'6351', "SURETY INSURANCE",
'6361', "TITLE INSURANCE",
'6399', "INSURANCE CARRIERS, NEC",
'6411', "INSURANCE AGENTS BROKERS & SERVICES",
'6500', "REAL ESTATE",
'6510', "REAL ESTATE OPERATORS (NO DEVELOPERS) & LESSORS",
'6512', "OPERATORS OF NONRESIDENTIAL BUILDINGS",
'6513', "OPERATORS OF APARTMENT BUILDINGS",
'6519', "LESSORS OF REAL PROPERTY, NEC",
'6531', "REAL ESTATE AGENTS & MANAGERS (FOR OTHERS)",
'6532', "REAL ESTATE DEALERS (FOR THEIR OWN ACCOUNT)",
'6552', "LAND SUBDIVIDERS & DEVELOPERS (NO CEMETERIES)",
'6770', "BLANK CHECKS",
'6792', "OIL ROYALTY TRADERS",
'6794', "PATENT OWNERS & LESSORS",
'6795', "MINERAL ROYALTY TRADERS",
'6798', "REAL ESTATE INVESTMENT TRUSTS",
'6799', "INVESTORS, NEC",
'6880', "UNKNOWN SIC - 6880  ",
'7000', "HOTELS, ROOMING HOUSE, CAMPS & OTHER LODGING PLACES",
'7011', "HOTELS & MOTELS",
'7200', "SERVICES-PERSONAL SERVICES",
'7310', "SERVICES-ADVERTISING",
'7311', "SERVICES-ADVERTISING AGENCIES",
'7320', "SERVICES-CONSUMER CREDIT REPORTING, COLLECTION AGENCIES",
'7330', "SERVICES-MAILING, REPRODUCTION, COMMERCIAL ART & PHOTOGRAPHY",
'7331', "SERVICES-DIRECT MAIL ADVERTISING SERVICES",
'7340', "SERVICES-TO DWELLINGS & OTHER BUILDINGS",
'7350', "SERVICES-MISCELLANEOUS EQUIPMENT RENTAL & LEASING",
'7359', "SERVICES-EQUIPMENT RENTAL & LEASING, NEC",
'7361', "SERVICES-EMPLOYMENT AGENCIES",
'7363', "SERVICES-HELP SUPPLY SERVICES",
'7370', "SERVICES-COMPUTER PROGRAMMING, DATA PROCESSING, ETC.",
'7371', "SERVICES-COMPUTER PROGRAMMING SERVICES",
'7372', "SERVICES-PREPACKAGED SOFTWARE",
'7373', "SERVICES-COMPUTER INTEGRATED SYSTEMS DESIGN",
'7374', "SERVICES-COMPUTER PROCESSING & DATA PREPARATION",
'7377', "SERVICES-COMPUTER RENTAL & LEASING",
'7380', "SERVICES-MISCELLANEOUS BUSINESS SERVICES",
'7381', "SERVICES-DETECTIVE, GUARD & ARMORED CAR SERVICES",
'7384', "SERVICES-PHOTOFINISHING LABORATORIES",
'7385', "SERVICES-TELEPHONE INTERCONNECT SYSTEMS",
'7389', "SERVICES-BUSINESS SERVICES, NEC",
'7394', "SERVICES-EQUIPMENT RENTAL & LEASING (NOT FINANCE)",
'7399', "UNKNOWN SIC - 7399",
'7500', "SERVICES-AUTOMOTIVE REPAIR, SERVICES & PARKING",
'7510', "SERVICES-AUTO RENTAL & LEASING (NO DRIVERS)",
'7600', "SERVICES-MISCELLANEOUS REPAIR SERVICES",
'7812', "SERVICES-MOTION PICTURE & VIDEO TAPE PRODUCTION",
'7819', "SERVICES-ALLIED TO MOTION PICTURE PRODUCTION",
'7822', "SERVICES-MOTION PICTURE & VIDEO TAPE DISTRIBUTION",
'7829', "SERVICES-ALLIED TO MOTION PICTURE DISTRIBUTION",
'7830', "SERVICES-MOTION PICTURE THEATERS",
'7841', "SERVICES-VIDEO TAPE RENTAL",
'7900', "SERVICES-AMUSEMENT & RECREATION SERVICES",
'7948', "SERVICES-RACING, INCLUDING TRACK OPERATION",
'7990', "SERVICES-MISCELLANEOUS AMUSEMENT & RECREATION",
'7997', "SERVICES-MEMBERSHIP SPORTS & RECREATION CLUBS",
'8000', "SERVICES-HEALTH SERVICES",
'8011', "SERVICES-OFFICES & CLINICS OF DOCTORS OF MEDICINE",
'8050', "SERVICES-NURSING & PERSONAL CARE FACILITIES",
'8051', "SERVICES-SKILLED NURSING CARE FACILITIES",
'8060', "SERVICES-HOSPITALS",
'8062', "SERVICES-GENERAL MEDICAL & SURGICAL HOSPITALS, NEC",
'8070', "UNKNOWN SIC - 8070",
'8071', "SERVICES-MEDICAL LABORATORIES",
'8082', "SERVICES-HOME HEALTH CARE SERVICES",
'8090', "SERVICES-MISC HEALTH & ALLIED SERVICES, NEC",
'8093', "SERVICES-SPECIALTY OUTPATIENT FACILITIES, NEC",
'8111', "SERVICES-LEGAL SERVICES",
'8200', "SERVICES-EDUCATIONAL SERVICES",
'8300', "SERVICES-SOCIAL SERVICES",
'8351', "SERVICES-CHILD DAY CARE SERVICES",
'8400', "SERVICES-MUSEUM, ART GALLERIES, BOTANICAL & ZOO GARDENS",
'8600', "SERVICES-MEMBERSHIP ORGANIZATIONS",
'8700', "SERVICES-ENGINEERING, ACCOUNTING, RESEARCH, MANAGEMENT",
'8711', "SERVICES-ENGINEERING SERVICES",
'8731', "SERVICES-COMMERCIAL PHYSICAL & BIOLOGICAL RESEARCH",
'8734', "SERVICES-TESTING LABORATORIES",
'8741', "SERVICES-MANAGEMENT SERVICES",
'8742', "SERVICES-MANAGEMENT CONSULTING SERVICES",
'8744', "SERVICES-FACILITIES SUPPORT MANAGEMENT SERVICES",
'8800', "UNKNOWN SIC - 8800",
'8810', "UNKNOWN SIC - 8810",
'8880', "UNKNOWN SIC - 8880",
'8888', "FOREIGN GOVERNMENTS",
'8889', "UNKNOWN SIC - 8889",
'8900', "SERVICES-SERVICES, NEC",
'9721', "INTERNATIONAL AFFAIRS",
);

# keep require happy
1;

