#
#  file: patent-desc.pl
#  auth: Brad Burdick
#  desc: Patent database description info
#
##########################################################################
#  Copyright (c) 1994, 1995 Internet Multicasting Service
#
#  The Patent APS/Full-Text Dissemination processing software ("software")
#  was developed by the Internet Multicasting Service and may 
#  be used for academic, research, government, and internal business
#  purposes without charge.  You may not resell this code or include it
#  in a product that you are selling without prior permission of the
#  Internet Multicasting Service.
#
#  This software is provided ``as is'', without express or implied
#  warranty, and with no support nor obligation to assist in its
#  use, correction, modification or enhancement.  We assume no liability
#  with respect to the infringement of copyrights, trade secrets, or any
#  patents, and are not responsible for consequential damages.  Proper
#  use of the software is entirely the responsibility of the user.
##########################################################################
#
#  format:
#    logical group code:tag text:descriptive text:# tabs
#
#    # tabs is the number of tabs between description and value
#
#    e.g.,  PATN::Patent Bibliographic Information:0
#           PATN:WKU:Patent Number:4
#
#  Blank tag text indicates a section heading.
#

@patent_desc = (
'PATN::Patent Bibliographic Information:0',
'PATN:WKU:Patent Number:4',
'PATN:SRC:Series Code:4',
'PATN:APN:Application Number:3',
'PATN:APT:Application Type:3',
'PATN:PBL:Publication Level:3',
'PATN:ART:Art Unit:4',
'PATN:APD:Application Filing Date:2',
'PATN:TTL:Title of Invention:3',
'PATN:ISD:Issue Date:4',
'PATN:NCL:Number of Claims:3',
'PATN:ECL:Exemplary Claim Number:3',
'PATN:EXA:Assistant Examiner:3',
'PATN:EXP:Primary Examiner:3',
'PATN:NDR:Number of Drawings Sheets:2',
'PATN:NFG:Number of Figures:3',
'PATN:DCD:Disclaimer Date:3',
'PATN:NPS:Number of Pages of Specifications:1',
'PATN:TRM:Term of Patent:4',
'INVT::Inventor Information:0',
'INVT:NAM:Inventor Name:4',
'INVT:STR:Inventor Street:3',
'INVT:CTY:Inventor City:4',
'INVT:STA:Inventor State:4',
'INVT:CNT:Inventor Country:3',
'INVT:ZIP:Inventor Zip Code:3',
'INVT:R47:Rule 47 Indicator:3',
'INVT:ITX:Inventor Descriptive Text:2',
'ASSG::Assignee Information:0',
'ASSG:NAM:Assignee Name:4',
'ASSG:STR:Assignee Street:3',
'ASSG:CTY:Assignee City:4',
'ASSG:STA:Assignee State:4',
'ASSG:CNT:Assignee Country:3',
'ASSG:ZIP:Assignee Zip Code:3',
'ASSG:COD:Assignee Type Code:3',
'ASSG:ITX:Assignee Descriptive Text:2',
'PRIR::Foreign Priority:0',
'PRIR:CNT:Priority Country:3',
'PRIR:APD:Priority Application Date:2',
'PRIR:APN:Priority Application Number:2',
'REIS::Reissue Information Data:0',
'REIS:COD:Reissue Code:4',
'REIS:APN:Application Number:3',
'REIS:APD:Application Filing Date:2',
'REIS:PNO:Patent Number:4',
'REIS:ISD:Issue Date:4',
'RLAP::Related U.S. Application Data:0',
'RLAP:COD:Parent Code:4',
'RLAP:APN:Application Number:3',
'RLAP:APD:Application Filing Date:2',
'RLAP:PSC:Parent Status Code:3',
'RLAP:PNO:Patent Number:4',
'RLAP:ISD:Issue Date:4',
'CLAS::Classification:0',
'CLAS:OCL:Original U.S. Classification:3',
'CLAS:XCL:Cross Reference Classification:3',
'CLAS:UCL:Unofficial Reference Classification:2',
'CLAS:DCL:Digest Entry Reference Classification:2',
'CLAS:EDF:International Classification Edition Field:1',
'CLAS:ICL:International Classification:3',
'CLAS:FSC:Field of Search Class:4',
'CLAS:FSS:Field of Search Subclass:3',
'UREF::U.S. Patent Reference:0',
'UREF:PNO:Patent Number:5',
'UREF:ISD:Issue Date:5',
'UREF:NAM:Patentee Name:5',
'UREF:OCL:Original U.S. Classification:3',
'UREF:XCL:Cross Reference to U.S. Classification:2',
'UREF:UCL:Unofficial Reference to U.S. Classification:1',
'FREF::Foreign Reference:0',
'FREF:PNO:Patent Number:4',
'FREF:ISD:Issue Date:4',
'FREF:CNT:Foreign Reference Country Code:2',
'FREF:OCL:Original U.S. Classification:2',
'OREF::Other Reference:0',
'LREP::Legal Information:0',
'LREP:FRM:Legal Firm:4',
'LREP:FR2:Combined Principal Attorney(s):2',
'LREP:AAT:Associate Attorney:3',
'LREP:AGT:Agent:5',
'LREP:ATT:Attorney Name:4',
'LREP:REG:Attorney\'s Registration Number:2',
'LREP:NAM:Legal Representative Name:2',
'LREP:STR:Legal Representative Street:2',
'LREP:CTY:Legal Representative City:2',
'LREP:STA:Legal Representative State:2',
'LREP:CNT:Legal Representative Country:2',
'LREP:ZIP:Legal Representative Zip Code:2',
'PCTA::PCT Information:0',
'PCTA:PCN:PCT Number:4',
'PCTA:PD1:PCT 371 Date:4',
'PCTA:PD2:PCT 102(e) Date:3',
'PCTA:PD3:PCT Filing Date:3',
'PCTA:PCP:PCT Publication Number:3',
'PCTA:PCD:PCT Publication Date:3',
'ABST::Abstract:0',
'GOVT::Government Interest:0',
'PARN::Parent Case Text:0',
'BSUM::Brief Summary:0',
'DRWD::Drawing Description:0',
'DETD::Detail Description:0',
'CLMS::Claims:0',
'CLMS:STM:Claim Statement:3',
'CLMS:NUM:Claim Number:4',
'DCLM::Design Claim:0',
'Format:PAR::0',
'Format:PAC::0',
'Format:PAL::0',
'Format:PA0::0',
'Format:PA1::0',
'Format:PA2::0',
'Format:PA3::0',
'Format:PA4::0',
'Format:PA5::0',
'Format:FNT::0',
'Format:TBL::0',
'Format:TBL3::0',
'Format:EQU::0'
);

# keep require happy
1;

